﻿@using System.Web.UI.WebControls
@using System;
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;
@using System.Data;
@using Portal.Controllers; 
@using Portal.Models.Supplier;
@using Portal.Models.PriceConfirmation; 
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section Style{
}
@section StyleReferences {
<link href="@Url.Content("~/Content/style/PriceConfirmation.css")" rel="stylesheet" type="text/css" />
}
@section Script {
var __base =  @Html.Raw(HttpUtility.JavaScriptStringEncode(
                new Uri(
                   new Uri(this.Context.Request.Url.GetLeftPart(UriPartial.Authority)),
                   Url.Content("~/")
               ).ToString(), true));
var __mew = window.location.href.split("/")[0]; 
var __meb = __base.split("/")[0];
if (__mew !== __meb) 
    __base = __base.replace(__meb, __mew); 
}
@section StartupScript{
InitialMode();
window.addEventListener("resize", OnResize);
}
@section ScriptReferences{
<script type="text/javascript" src="@Url.Content("~/Scripts/Common/messaging.js")"></script>
<script type="text/javascript" src="@Url.Content("~/Content/js/PCDetail.js")"></script>
}

@Html.Action("PartialHeader", "PCDetail", Model.GetModel<PriceConfirmationModel>())
<div class="baris" style="height:5px">&nbsp;</div>
<div class="hidden">
<form  class="hidden" action="@Url.Content("~/PCDetailPopup")" method="post" id="PCDetailPopupForm">
    <input id="fiPCNo" name="PCNo" value="" />
</form>
</div>

<div>
    @Html.Action("PartialDetail", "PCDetail", Model)
</div>

@Html.DevExpress().PopupControl(pi =>
{
    pi.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    pi.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    pi.Name = "popupItem";
    pi.HeaderText = "Price Confirmation Detail - Item Selection";
    pi.Width = System.Web.UI.WebControls.Unit.Percentage(96);
    pi.ClientSideEvents.CloseUp = "popupItemCloseUp"; 
    pi.SetContent(() =>
    {
        Html.RenderAction("PopupItem", "PCDetail");
    });
}).GetHtml()

